Package org.eclipse.graphiti.ui.internal.parts.directedit

## Class TextCellEditor

- java.lang.Object
- - org.eclipse.jface.viewers.CellEditor
  - - org.eclipse.jface.viewers.TextCellEditor
    - - org.eclipse.graphiti.ui.internal.parts.directedit.TextCellEditor

    public class TextCellEditor
    extends org.eclipse.jface.viewers.TextCellEditor

This class subclasses `org.eclipse.jface.viewers.TextCellEditor` to overwrite the method `createControl` and by doing so to handle an undesired side-effect in combination with the usage of `org.eclipse.jface.fieldassist.ContentProposalAdapter`. (For more details see method `public void focusLost(FocusEvent e)`)

See Also:
  `TextCellEditor`, `ContentProposalAdapter`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor

`org.eclipse.jface.viewers.CellEditor.LayoutData`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.TextCellEditor

`text`

### Fields inherited from class org.eclipse.jface.viewers.CellEditor

`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

### Constructor Summary

Constructors
`TextCellEditor()`
`TextCellEditor​(org.eclipse.swt.widgets.Composite parent)`
`TextCellEditor​(org.eclipse.swt.widgets.Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Control` `createControl​(org.eclipse.swt.widgets.Composite parent)`
`IProposal` `getAcceptedProposal()`
`void` `setAcceptedProposal​(IProposal acceptedProposal)`

### Methods inherited from class org.eclipse.jface.viewers.TextCellEditor

`dependsOnExternalFocusListener, doGetValue, doSetFocus, doSetValue, editOccured, getLayoutData, handleDefaultSelection, isCopyEnabled, isCutEnabled, isDeleteEnabled, isPasteEnabled, isSaveAllEnabled, isSelectAllEnabled, keyReleaseOccured, performCopy, performCut, performDelete, performPaste, performSelectAll`

### Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, deactivate, deactivate, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getDoubleClickTimeout, getErrorMessage, getStyle, getValidator, getValue, isActivated, isCorrect, isDirty, isFindEnabled, isRedoEnabled, isUndoEnabled, isValueValid, markDirty, performFind, performRedo, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextCellEditor

    public TextCellEditor()

#### TextCellEditor

    public TextCellEditor​(org.eclipse.swt.widgets.Composite parent)

#### TextCellEditor

    public TextCellEditor​(org.eclipse.swt.widgets.Composite parent,
                          int style)

### Method Detail

#### createControl

    protected org.eclipse.swt.widgets.Control createControl​(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createControl` in class `org.eclipse.jface.viewers.TextCellEditor`

#### getAcceptedProposal

    public IProposal getAcceptedProposal()

Returns:
  the acceptedProposal

#### setAcceptedProposal

    public void setAcceptedProposal​(IProposal acceptedProposal)

Parameters:
  `acceptedProposal` - the acceptedProposal to set